1. therock11's Avatar
    I used the pwnagetool 4.0.1 method of jailbreaking my 3G. Before this I had jailbroke 3.1.3 using spirit. Now that I see that this isn't a supported method to get cydia to work with 4.0 what can I do to change it or fix my current build. The jailbreak did enable multitasking and the ability to see the battery percentage but cydia crashes on startup. Can I downgrade to 3.1.2, jailbreak (not spirit) and then go to 4?
    2010-06-25 12:56 AM
  2. babyblue_pimp's Avatar
    install stock 4.0

    and use redsn0w to jailbreak
    The only thing I ask in return for helping, is that you click the thanks button, Thanks!
    2010-06-25 12:57 AM
  3. therock11's Avatar
    Do I need to place it in DFU mode and then do a restore with the stock 4.0 build? or just restore with the stock 4.0 build?
    2010-06-25 12:59 AM
  4. babyblue_pimp's Avatar
    you can just restore normally

    just be sure to setup as a new phone, to avoid any issues in the future
    The only thing I ask in return for helping, is that you click the thanks button, Thanks!
    2010-06-25 01:01 AM
  5. therock11's Avatar
    you can just restore normally

    just be sure to setup as a new phone, to avoid any issues in the future
    I tried redsn0w 0.9.5 beta (windows) but when it is processing the ipsw file it says it is not recognized. What version do I need to use?
    2010-06-25 02:48 AM
  6. babyblue_pimp's Avatar
    I tried redsn0w 0.9.5 beta (windows) but when it is processing the ipsw file it says it is not recognized. What version do I need to use?
    The official one from apple, not the GM.

    If your just using google to download it, it will be very confusing because they have the same build number.

    Use this site do download another copy of the ipsw
    Firmware - The iPhone Wiki
    The only thing I ask in return for helping, is that you click the thanks button, Thanks!
    2010-06-25 03:28 AM
  7. therock11's Avatar
    I'm trying the ipsw that I restored with which is from apple.

    Thanks for your help. The problem was the revision of 0.9.5 beta that I was using was 2 instead of 3. Jailbroke just fine after downloading the latest revision.
    Last edited by therock11; 2010-06-25 at 03:25 PM. Reason: Automerged Doublepost
    2010-06-25 03:25 PM
  8. dhamien's Avatar
    redsn0w 0.9.5 is out so you don't have to use the beta version.
    We're all just toymakers in the game of life.
    2010-06-25 03:50 PM
LINK TO POST COPIED TO CLIPBOARD